#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#include "set.h"
#include "glva.h"


void flck(void){
	FILE *ifp;
	int i, j;
	char char_buffer[500];
	int seido, system, jouhou;
	int Done;
	
	
	for(i=1; i<=5; i++){  /* i==5は拠出金 */
		
		if(i>=1 && i<=4){
			ifp = ifp10_usys[i];
		} else if(i==5){
			ifp = ifp_kyos;
		} else {
			printf("Error\n");
			exit(1);
		}
		
		Done = 0;
		while(Done == 0){
			if(fgets( char_buffer , 499 , ifp ) == NULL ) break;
			if( char_buffer[0] == '#' ){
				sscanf( char_buffer, "#%d-%d-%d" , &seido , &system , &jouhou );
				if( seido == 99 ){
					Done++;
				}
			}
			if(Done == 0){
				if(i!=5){
					fprintf(ofp01_shushi[i], "%s", char_buffer);
					fprintf(ofp01_shushi[0], "%s", char_buffer);
				} else {
					for(j=0; j<=4; j++){
						fprintf(ofp01_shushi[j], "%s", char_buffer);
					}
				}
			}
		}
		if(Done == 0){
			printf("うまくファイルが読み込みていません。\n");
			exit(1);
		}
	}
	
	for(i=0; i<=4; i++){
		/*** a-sysでの出力 ***/
		fprintf(ofp01_shushi[i], "#03-0002-0001\n");
		fprintf(ofp01_shushi[i], "#03-0002-0002\n");
		fprintf(ofp01_shushi[i], "#03-0002-0003\n");
		fprintf(ofp01_shushi[i], "#99-0000-0000\n");
		
		/** 試算番号等の書き込み **/
		if(Saimu==0){
			fprintf(ofp01_shushi[i], "%s, %s, %s\n", Nfile, Nfile2, Nfile3);
		} else {
			fprintf(ofp01_shushi[i], "%s, %s, %s, %s\n", Saimushu, Nfile, Nfile2, Nfile3);
		}
		
		fprintf(ofp01_shushi[i], "%s, %s\n", Ecfile, Wcfile);
		
		if(Saimu==0){
			fprintf(ofp01_shushi[i], "%s\n", Nkfile);
		} else {
			fprintf(ofp01_shushi[i], "%s, %s\n", Saimuski, Nkfile);
		}
		
		fprintf(ofp01_shushi[i], "%s, 予備:, %s, Cntlset:, %d, Seidn:, %d,  ii:, %d\n",
		                          Sifile, Cutrfile4, Cntlset, Seidn, i);
		
		fprintf(ofp01_shushi[i], "\n");
	}
}

